<html><head>
	<title>Javascript</title>
</head>
<body>

<script type="text/javascript" src="./util.js"></script>


<script>

	/*
8.	Dados três valores X, Y, Z, verifique se eles podem ser os comprimentos dos lados de um triângulo e, se forem, verifique se é um triângulo eqüilátero, isósceles ou escaleno. Se eles não formarem um triângulo, escreva uma mensagem. Considere que:
a.	O comprimento de cada lado de um triângulo é menor que a soma dos outros dois lados
b.	Chama‐se equilátero o triângulo que tem três lados iguais
c.	Denomina‐se isósceles o triângulo que tem o comprimento de dois lados iguais
d.	Recebe o nome de escaleno o triângulo que tem os três lados diferentes.
e.	Nenhum dos lados pode ter comprimento zero
	*/

	
function isTriangulo(a , b ,c ){

	return (a <= b + c) && (b <= a + c) && (c <= a + b) ; 

}

function isEquilatero (x , y, z ){
	return ((x == y) && ( x == z ) && ( y == z)) ; 
}
function isEscaleno(x ,y, z){
	return ((x != y) && ( x != z ) && ( y != z)) ; 
}
function isIsoceles(x ,y, z){
	return (( x == y ) || ( x == z)  || ( y == z));
}

	
	

function Classificar(){


		var x = getFloat('txtX') ; 
		var y = getFloat('txtY');
		var z = getFloat('txtZ') ; 

		if (isTriangulo(x,y,z)) {
		
			if(isEquilatero(x,y,z)){
				imprimir('resultado' , 'Triangulo Equilatero');
			}else{
				
				if(isEscaleno(x,y,z)){
					imprimir('resultado' , 'Triangulo Escaleno');
				}else{
					imprimir('resultado' , 'Triangulo Isoceles');
				}
				
				
			}
			
		
		}else{
		
			imprimir('resultado' , 'Nao e triangulo');
		
		}





}



</script>
<h2>Classificador de Triangulos</h2>

<label>X:</label> <input type="text" id="txtX" style="width : 60px" /> 
<br />
<br />
<label>Y:</label> <input type="text" id="txtY" style="width : 60px" /> 
<br />
<br />
<label>Z:</label> <input type="text" id="txtZ" style="width : 60px" /> 
<br />
<br />
<input type="button" value="Classificar Triangulo" onclick="Classificar();" />



<p id="resultado"></p>

<br />






</body>

</html>